Bug 171825 - CAN-2005-1704 Integer overflow in gdb
CAN-2005-1704 Integer overflow in gdb
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnston
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-10-26 16:38 EDT by Jeff Johnston
Modified: 2008-08-02 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version: gdb-6.1post-1.20040607.43.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-14 12:10:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2005-10-26 16:38:25 EDT
Integer overflow in the BFD library for gdb before 6.3 allows
attackers to execute arbitrary code via a crafted object file that
specifies a large number of section headers, leading to a heap-based
buffer overflow.

More information is available in the gentoo bug:

Comment 1 Jeff Johnston 2005-10-26 16:56:31 EDT
Fixed in gdb-6.1post-1.20040607.43.0.1
Comment 2 Fedora Update System 2005-10-27 13:08:18 EDT
From User-Agent: XML-RPC

gdb-6.1post-1.20040607.43.0.1 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Matthew Miller 2006-07-10 19:05:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Jan Kratochvil 2007-01-14 12:10:08 EST
Already processed a long time ago and fixed according to Comment 1.

Note You need to log in before you can comment on or make changes to this bug.